Attribute VB_Name = "modDataGridMouseWheel"
Option Explicit



'***************************************************************
'*** This module allows usage of the Mouse Scroll Wheel.     ***
'*** NB! The DataGrid Control can't be in the Edit Mode and  ***
'*** the a DataGrid Item must have the Focus.                ***
'*** This is achieved by Highlighting the left most column   ***
'*** of the DataGrid Control i.e, where the arrow is on      ***
'*** program startup.                                        ***
'***************************************************************
Declare Function GetTickCount Lib "kernel32" () As Long
'+ Public Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hWnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Public Declare Function CallWindowProc Lib "user32" Alias "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hWnd As Long, ByVal Msg As Long, ByVal wParam As Long, ByVal _
   lParam As Long) As Long
'! Long line split
Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal Length As Long)
Public Const GWL_WNDPROC = (-4)
Public lpPrevWndProc As Long
Global Einstellungen(100) As Variant
Public Strconn As String
Public GridFlag As Boolean
Public MyCall As String
Public MygridXY As Variant
Public GEtransp As String
Public GEfl As String

Public GEhight As Long
Public lineFlag As Boolean
Const WM_MOUSEWHEEL = &H20A
Const WHEEL_DELTA = 120

'+ removed Dim Count As Integer

Function WndProc(ByVal hWnd As Long, ByVal Msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long

    If Msg = WM_MOUSEWHEEL Then
        Dim Delta As Long
        Static Travel As Long
        Delta = HiWord(wParam)
        Travel = Travel + Delta
        MouseWheel Travel \ WHEEL_DELTA, LoWord(lParam), HiWord(lParam)
        Travel = Travel Mod WHEEL_DELTA
    End If
    
    WndProc = CallWindowProc(lpPrevWndProc, hWnd, Msg, wParam, lParam)
    
End Function

Function HiWord(DWord As Long) As Integer

    CopyMemory HiWord, ByVal VarPtr(DWord) + 2, 2
    
End Function

Function LoWord(DWord As Long) As Integer

    CopyMemory LoWord, DWord, 2
    
End Function

Sub MouseWheel(Travel As Integer, X As Long, Y As Long)
'! Dead parameter: X
'! Dead parameter: Y

    'Scroll one row per wheel step.
    'To scroll more than 1 row per step change the next
    'line to:
    'YourFormsName.DataGrid1.Scroll 0, -Travel * NumberOfRowsDesired
    frmmain.DataGrid1.Scroll 0, -Travel * 1
    
End Sub

Public Function GetPath(pathAndName As String)
Dim justPath As String
Dim theSpot As Integer
Dim i As Integer

For i = 1 To Len(pathAndName)
    Dim oneChar
    oneChar = Mid(pathAndName, i, 1)
    If oneChar = "\" Then
        theSpot = i
    End If
Next
justPath = Left(pathAndName, theSpot)
GetPath = justPath
End Function

Public Function FileExists%(FullPathAndFile$)
    On Error Resume Next


    If FileLen(FullPathAndFile) > 0& Then
        If err = 0 Then FileExists = True
    End If
End Function




Public Function GetEinstellungen()
'! Dead return value
'! Return value not set: GetEinstellungen

Dim thepath As String




thepath = GetPath("HamTool.txt")
Dim i As Integer
'! Fixed file number found
'! Goto statement found - GoTo weiter
If FileExists(thepath & "HamTool.txt") = False Then Open (thepath & "HamTool.txt") For Output As #1: Write #1,: Close #1 Else GoTo weiter

Einstellungen(0) = "" 'Callsign
Einstellungen(1) = "" 'MyGrid
Einstellungen(2) = 1 'EWLpfad backup.mgb/backup.mdb
Einstellungen(3) = 1 'grid/Call default
Einstellungen(4) = 10 'Band 10=144MHz
Einstellungen(5) = ""
Einstellungen(6) = ""
Einstellungen(7) = ""
Einstellungen(8) = ""
Einstellungen(9) = ""
Einstellungen(10) = ""
Einstellungen(11) = "" 'GEcolor(Transparency)
Einstellungen(12) = 1
'! Return value discarded: SetEinstellungen
SetEinstellungen





weiter:



i = 0
'! Fixed file number found
Open (thepath & "HamTool.txt") For Input As #1
Do While Not EOF(1)
Input #1, Einstellungen(i)

'! Goto statement found - GoTo weiter1
If IsEmpty(Einstellungen(i)) Then GoTo weiter1

i = i + 1
Loop
weiter1:
Close #1
If IsEmpty(Einstellungen(0)) Then Einstellungen(0) = ""

If IsEmpty(Einstellungen(1)) Then Einstellungen(1) = ""
If IsEmpty(Einstellungen(2)) Then Einstellungen(2) = 1
If IsEmpty(Einstellungen(3)) Then Einstellungen(3) = 1
If IsEmpty(Einstellungen(4)) Then Einstellungen(4) = 10 'Band

If IsEmpty(Einstellungen(5)) Then Einstellungen(5) = "DOK: P25" 'txtinfo
If IsEmpty(Einstellungen(6)) Then Einstellungen(6) = "Rig: FT847" 'txtline2
If IsEmpty(Einstellungen(7)) Then Einstellungen(7) = "Rig: FT847" 'txtline3
If IsEmpty(Einstellungen(8)) Then Einstellungen(8) = "Rig: FT847" 'txtline4
If IsEmpty(Einstellungen(9)) Then Einstellungen(9) = "OP: Claus Neie Schwabencker 49, D-74594 Kressberg-Rudolfsberg - GERMANY" 'txtadd line
If IsEmpty(Einstellungen(10)) Then Einstellungen(10) = "email: cneie@aol.com   Printed: www.dl7qy.eu/VB6/ARlog" 'txtline2
If IsEmpty(Einstellungen(11)) Then Einstellungen(11) = "128"
If IsEmpty(Einstellungen(12)) Then Einstellungen(12) = 1

End Function

Public Function SetEinstellungen()
'! Dead return value
'! Return value not set: SetEinstellungen
Dim thepath As String
Dim i As Long

thepath = GetPath("HamTool.txt")

i = 0 '
'! Fixed file number found
Open (thepath & "HamTool.txt") For Output As #1
For i = 0 To 12
Write #1, Einstellungen(i);
Next i

Close #1






End Function

Public Function GridVer(Loc)
If Len(Loc) = 4 And Loc Like "[A-R][A-R]##" Then GoTo EingabeOk
If Len(Loc) = 6 And Loc Like "[A-R][A-R]##[A-x][A-x]" Then GoTo EingabeOk
If Len(Loc) = 8 And Loc Like "[A-R][A-R]##[A-x][A-x]##" Then GoTo EingabeOk
If Len(Loc) = 10 And Loc Like "[A-R][A-R]##[A-x][A-x]##[A-x][A-x]" Then GoTo EingabeOk
MsgBox "Invalid Gridlocator:": GridFlag = True
Exit Function
EingabeOk:
GridFlag = False
End Function

